#include <stdio.h>
#include <stdlib.h>
void zam(int *a,int*b)
{
    int p=*a;
    *a=*b;
    *b=p;
}
int main()
{
   unsigned long long int n;
   scanf("%llu",&n);
   unsigned long long int a[n],max=0,i,br;

   for(i=0;i<n;i++)
   {
       scanf("%llu",&a[i]);
   }

   for(i=1;i<n;i++)
   {
        if(a[i]>=max)
       {
          max=a[i];
          br=i;
       }
   }

   if(n==2)
    zam(&a[0],&a[1]);

   if(max>a[0])
   {
       zam(&a[0],&max);
       a[br]=max;
       for(i=0;i<n;i++)
   {
       printf("%llu",a[i]);
   }
   }

   else

 {
       for(i=1;i<n;i++)
   {
       if(a[i]<max)
       {
           zam(&a[0],&max);
           a[br]=max;
           return 0;
       }
   }
   for(i=0;i<n;i++)
   {
       printf("%llu",a[i]);
   }
 }

}